PERF-LOCK(1)

NAME
perf-lock - Analyze lock events

SYNOPSIS

perf lock {record|report|script|info}

DESCRIPTION

You can analyze various lock behaviours and statistics with this perf lock command.

    'perf lock record <command>' records lock events
    between start and end <command>. And this command
    produces the file "perf.data" which contains tracing
    results of lock events.

    'perf lock report' reports statistical data.

    'perf lock script' shows raw lock events.

    'perf lock info' shows metadata like threads or addresses
    of lock instances.

COMMON OPTIONS

-i, --input=<file>
    Input file name. (default: perf.data unless stdin is a fifo)

-v, --verbose
    Be more verbose (show symbol address, etc).

-D, --dump-raw-trace
    Dump raw trace in ASCII.

-f, --force
    Don’t complan, do it.

REPORT OPTIONS

-k, --key=<value>
    Sorting key. Possible values: acquired (default), contended, avg_wait, wait_total, wait_max, wait_min.

INFO OPTIONS

-t, --threads
    dump thread list in perf.data

-m, --map
    dump map of lock instances (address:name table)

SEE ALSO

perf(1)